html {
	min-height: 100%;
	-webkit-text-size-adjust: 100%;
}

body {
	min-height: 100%;
	margin: 0;
	font-size: 14px;
	line-height: 1.42857143;
}

a {
	background-color: transparent;
	color: inherit;
	text-decoration: none;
}

a:focus,
a:hover {
	text-decoration: none;
}

img {
	max-width: 100%;
	height: auto;
	border: 0;
	vertical-align: middle;
}

button,
input,
select,
textarea {
	margin: 0;
	font: inherit;
}

button,
input[type="button"],
input[type="reset"],
input[type="submit"] {
	cursor: pointer;
	-webkit-appearance: button;
}

table {
	border-collapse: collapse;
	border-spacing: 0;
}

.list-unstyled {
	padding-left: 0;
	list-style: none;
}

.list-inline {
	padding-left: 0;
	margin-left: -5px;
	list-style: none;
}

.list-inline > li {
	display: inline-block;
	padding-right: 5px;
	padding-left: 5px;
}

.visible-xs {
	display: none !important;
}

.hidden-sm,
.hidden-xs {
	display: inherit !important;
}

.page-container {
	display: table;
	width: 100%;
	height: 100%;
	border-collapse: collapse;
	border-spacing: 0;
	table-layout: fixed;
}

.page-container .main-content {
	position: relative;
	z-index: 1;
	display: table-cell;
	width: 100%;
	padding: 0;
	padding-bottom: 0;
	vertical-align: top;
	word-break: break-word;
}

.main-content.page {
	padding: 0;
}

.sidebar-menu {
	position: relative;
	z-index: 1;
	display: table-cell;
	width: 250px;
	background: #2c2e2f;
}

.sidebar-menu.fixed {
	height: 100%;
}

.sidebar-menu.fixed .sidebar-menu-inner {
	position: fixed;
	top: 0;
	bottom: 0;
	left: 0;
	width: inherit;
	overflow: hidden;
}

.sidebar-menu .logo-env {
	padding: 19px 30px;
	border-bottom: 1px solid #3a3d40;
}

.sidebar-menu .logo-env::before,
.sidebar-menu .logo-env::after,
footer.main-footer .footer-inner::before,
footer.main-footer .footer-inner::after {
	display: table;
	content: " ";
}

.sidebar-menu .logo-env::after,
footer.main-footer .footer-inner::after {
	clear: both;
}

.sidebar-menu .logo-env .logo {
	float: left;
}

.sidebar-menu .logo-env .logo .logo-collapsed {
	display: none;
}

.sidebar-menu .main-menu {
	padding: 0 30px;
	margin: 20px 0;
	list-style: none;
}

.sidebar-menu .main-menu a {
	display: block;
	padding: 13px 5px;
	border-bottom: 1px solid #313437;
	color: #979898;
	text-decoration: none;
	transition: all 220ms ease-in-out;
}

.sidebar-menu .main-menu a:hover,
.sidebar-menu .main-menu li.active > a {
	color: #fff;
}

.sidebar-menu .main-menu a > i {
	display: inline-block;
	margin-right: 10px;
}

.sidebar-menu .main-menu a > span {
	display: inline-block;
}

.sidebar-menu .main-menu ul {
	display: none;
	padding: 0;
	margin: 0;
	overflow: hidden;
	list-style: none;
}

.sidebar-menu .main-menu ul li {
	position: relative;
}

.sidebar-menu .main-menu ul li a {
	padding-left: 35px;
}

.sidebar-menu .main-menu li.has-sub > a::before {
	position: relative;
	display: inline-block;
	float: right;
	margin-left: 10px;
	color: #6d747a;
	font-family: FontAwesome;
	content: "\f107";
	transform: rotate(-90deg);
	transition: transform 150ms ease-in-out;
}

.sidebar-menu .main-menu li.has-sub.opened > a::before,
.sidebar-menu .main-menu li.has-sub.expanded > a::before {
	transform: rotate(0);
}

nav.navbar {
	position: fixed;
	z-index: 2000 !important;
	width: calc(100% - 250px);
	padding: 0;
	border: 0;
	background-color: transparent;
}

.navbar .navbar-content {
	position: absolute;
	display: flex;
	align-items: center;
	justify-content: space-between;
	width: 100%;
	padding-bottom: 1px;
	background: #fff;
	box-shadow: 0 5px 20px rgba(0, 0, 0, 0.05);
}

.user-info-navbar {
	min-height: 0;
	padding: 0;
	margin: -30px -30px 30px;
	border: 0;
	background-color: #fff;
}

.user-info-navbar .user-info-menu {
	margin: 0;
}

.user-info-navbar .user-info-menu.left-links {
	float: left;
}

.user-info-navbar .user-info-menu.right-links {
	float: right;
}

.user-info-navbar .user-info-menu li {
	display: table-cell;
	line-height: 1;
	text-align: center;
	vertical-align: middle;
}

.user-info-navbar .user-info-menu > li > a {
	display: block;
	padding: 18px 10px;
	color: #979898;
	text-decoration: none;
	transition: all 220ms ease-in-out;
}

.user-info-navbar .user-info-menu > li > a:hover {
	color: #606161;
}

.user-info-navbar .user-info-menu > li a[data-toggle="sidebar"] {
	padding: 31px 10px 31px 20px;
}

.form-control {
	display: block;
	width: 100%;
	background-image: none;
}

.btn {
	display: inline-block;
	margin-bottom: 0;
	border: 1px solid transparent;
	text-align: center;
	vertical-align: middle;
	white-space: nowrap;
	user-select: none;
}

footer.main-footer {
	padding: 20px 30px;
	margin: 0 -30px;
	border-top: 1px solid #ddd;
	background-color: #f9f9f9;
	font-size: 12px;
}

footer.main-footer::before,
footer.main-footer::after {
	display: table;
	content: " ";
}

footer.main-footer::after {
	clear: both;
}

footer.main-footer .go-up {
	position: fixed;
	right: 10px;
	bottom: 30px;
	z-index: 10;
	width: 45px;
	padding: 0;
	margin: 0;
	list-style: none;
}

footer.main-footer .go-up a {
	display: inline-block;
	width: 35px;
	height: 35px;
	padding: 0;
	border-radius: 50%;
	background: rgba(123, 123, 123, 0.5);
	color: #fff;
	font-size: 20px;
	line-height: 35px;
	text-align: center;
}

footer.main-footer .footer-text {
	float: left;
}

@media screen and (min-width: 768px) {
	.sidebar-menu.collapsed {
		z-index: 10;
		width: 80px;
		overflow: visible;
	}

	.sidebar-menu.collapsed .sidebar-menu-inner {
		position: fixed;
		overflow: visible;
	}

	.sidebar-menu.collapsed .logo-env {
		padding: 19px 0;
	}

	.sidebar-menu.collapsed .logo-env .logo {
		float: none;
	}

	.sidebar-menu.collapsed .logo-env .logo-collapsed {
		display: block;
		text-align: center;
	}

	.sidebar-menu.collapsed .logo-env .logo-expanded {
		display: none;
	}

	.sidebar-menu.collapsed .main-menu {
		padding-right: 0;
		padding-left: 0;
	}

	.sidebar-menu.collapsed .main-menu > li {
		position: relative;
		text-align: center;
	}

	.sidebar-menu.collapsed .main-menu > li > a > i {
		margin-right: 0;
		font-size: 20px;
	}

	.sidebar-menu.collapsed .main-menu > li > a > span {
		display: none;
	}

	.sidebar-menu.collapsed .main-menu > li.has-sub > a::before {
		display: none;
	}

	.sidebar-menu.collapsed .main-menu > li.opened > ul {
		display: none;
	}

	.sidebar-menu.collapsed .main-menu > li > ul {
		position: absolute;
		top: 0;
		left: 100%;
		width: 250px;
		background: #2c2e2f;
		text-align: left;
	}

	.sidebar-menu.collapsed .main-menu > li > ul > li > a {
		padding-left: 20px;
	}

	.sidebar-menu.collapsed .main-menu > li:hover > ul {
		display: block;
	}

	.sidebar-menu.collapsed + .main-content > nav.navbar {
		width: calc(100% - 80px);
	}
}

@media screen and (max-width: 767px) {
	.visible-xs {
		display: block !important;
	}

	.hidden-xs {
		display: none !important;
	}

	.page-container {
		position: relative;
		display: block;
	}

	.page-container .sidebar-menu,
	.page-container .main-content {
		display: block;
		width: 100%;
		height: auto;
	}

	.page-container .sidebar-menu {
		position: fixed;
		top: 0;
		right: 0;
		left: 0;
		z-index: 999;
		height: auto;
		min-height: 0;
	}

	.page-container .sidebar-menu.fixed {
		height: auto;
	}

	.page-container .main-content {
		position: relative;
		top: auto;
		padding-top: 72px;
	}

	.page-container .sidebar-menu.fixed .sidebar-menu-inner,
	.page-container .sidebar-menu .sidebar-menu-inner {
		position: relative;
		top: auto;
		bottom: auto;
		left: auto;
		width: 100%;
		overflow: visible;
	}

	.page-container .sidebar-menu .sidebar-menu-inner .logo-env,
	.page-container .sidebar-menu .sidebar-menu-inner .main-menu {
		padding-right: 20px;
		padding-left: 20px;
	}

	.page-container .sidebar-menu .sidebar-menu-inner .logo-env {
		padding-top: 10px;
		padding-bottom: 10px;
		margin-bottom: 0;
	}

	.page-container .sidebar-menu .sidebar-menu-inner .logo-env .mobile-menu-toggle {
		float: right;
	}

	.page-container .sidebar-menu .sidebar-menu-inner .logo-env .mobile-menu-toggle a {
		position: relative;
		display: inline-block;
		margin-left: 20px;
		color: #979898;
		line-height: 1;
	}

	.page-container .sidebar-menu .sidebar-menu-inner .logo-env .mobile-menu-toggle a i {
		position: relative;
		top: 10px;
		font-size: 20px;
		line-height: 1;
	}

	.page-container .sidebar-menu .sidebar-menu-inner .main-menu {
		display: none;
	}

	.page-container .sidebar-menu .sidebar-menu-inner .main-menu.mobile-is-visible {
		display: block;
	}

	.page-container .main-content .navbar.user-info-navbar {
		display: none;
	}

	.page-container .main-content .navbar.user-info-navbar.mobile-is-visible {
		display: block;
	}

	.page-container .main-content .main-footer {
		position: relative;
		right: auto;
		left: 0;
		margin-right: -15px;
		margin-left: -15px;
	}

	footer.main-footer .footer-text {
		float: none;
		text-align: center;
	}
}

@media screen and (min-width: 768px) and (max-width: 991px) {
	.hidden-sm {
		display: none !important;
	}
}
